Data Structures | Enumerations

# squirrel.hpp File Reference

defines the Squirrel class More...

`#include <squirrel.h>`

Go to the source code of this file.

## Data Structures
class | Squirrel
## Enumerations
enum | ScriptType { ST_AI, ST_GS }
| The type of script we're working with, i.e. More...

## Detailed Description

defines the Squirrel class

Definition in file squirrel.hpp.

## Enumeration Type Documentation

enum ScriptType

The type of script we're working with, i.e.

for who is it?

Enumerator:

  ST_AI | The script is for AI scripts.
  ST_GS | The script is for Game scripts.

Definition at line 18 of file squirrel.hpp.